#Version 1.01

# Added <column> option to @db(text)
# to be able to get the text of just
# one column

# Added @db(ver) to get the current version
# of DB.

# I know there was a DSU made like this by
# but I needed a special command and so I ended
# up making one myself. So here it is.

#include db.dsc
#Invlude the db.dsc
# this will add 1 new function
# and 1 new command
Title Database Example
#The database uses a VDSList. That is the <number>
#that is needed. No need to create the list, that
#is what DB Create,<number> does.

#DB Create, <number>
# Create the database
db create,1

#DB Add,<number>,<string>
# Add items to the database using @tab() to seperate
# the items
DB ADD,1,R/C 0/1@tab()Column 2@TAB()Column 3@TAB()Column 4
DB ADD,1,Row 1@tab()3@TAB()9@TAB()3
DB ADD,1,Row 2@tab()2@TAB()test@TAB()2
DB ADD,1,Row 3@tab()VDS@TAB()World@TAB().com
DB ADD,1,Row 4@tab()Code714@TAB().com@TAB()

#%t = @db(text,<name>[,<column>])
# get all the text in the database
# if <column> is specified, all the text
# in that column will be returned
info @db(text,1)

info @cr()@db(text,1,2)

#db put,<name>,<row>,<string>[,column]
# this command will replace the entire <row> with <string>
# if <column> is specified, only the item in <row>, <column> will
# be replaced with <string>.

# <row>'s are counted starting at 0
# <column>'s are counted starting at 1

#replace row 1
DB put,1,1,Row 1@tab()This@tab()is@tab()new
info @db(text,1)

#replace item 2 in row 2
DB put,1,2,Database,2
info @db(text,1)

#DB Insert,<number>,<row>[,<string>]
# this will insert a new ROW in front
# of <row>. If <string> is specified the
# that new row will have the contents of <string>
# if not the row will be empty
db insert,1,3,Row 2b@tab()New@TAB()Row@TAB()Added
info @db(text,1)

#DB save,<number>,<filename>
# this will save your database to a file

DB Save,1,@path(%0)db.txt

#DB Clear,<number>
# Clears a database

DB Clear,1
info @db(text,1)" "
# Clears a database

#DB Close,<number>
# Close a database

DB Close,1


DB Create,13

#DB load,<number>,<filename>
# Load a database file

DB Load,13,@path(%0)db.txt
info @db(text,13)

# @db(ver)
# get current version of DB

info @db(ver)

stop

# ERROR CODES

# 1000 - Command and/or Database number not specified
# 1001 - String not specified
# 1002 - Database is empty
# 4002 - Position is less than 0
# 5001 - File not specified
# 6003 - Row position is greater then Database
# 7001 - Row not specified
# 7002 - Column not not specified
